/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _SORT_H_RPCGEN
#define _SORT_H_RPCGEN

#include <rpc/rpc.h>


#ifdef __cplusplus
extern "C" {
#endif


struct sort_in {
	int vetor[VECTOR_SIZE];
};
typedef struct sort_in sort_in;

struct sort_out {
	int vetor[VECTOR_SIZE];
};
typedef struct sort_out sort_out;

#define SORT_PROG 0x20000001
#define SORT_VERS 1

#if defined(__STDC__) || defined(__cplusplus)
#define SORT_PROC 1
extern  sort_out * sort_proc_1(sort_in *, CLIENT *);
extern  sort_out * sort_proc_1_svc(sort_in *, struct svc_req *);
extern int sort_prog_1_freeresult (SVCXPRT *, xdrproc_t, caddr_t);

#else /* K&R C */
#define SORT_PROC 1
extern  sort_out * sort_proc_1();
extern  sort_out * sort_proc_1_svc();
extern int sort_prog_1_freeresult ();
#endif /* K&R C */

/* the xdr functions */

#if defined(__STDC__) || defined(__cplusplus)
extern  bool_t xdr_sort_in (XDR *, sort_in*);
extern  bool_t xdr_sort_out (XDR *, sort_out*);

#else /* K&R C */
extern bool_t xdr_sort_in ();
extern bool_t xdr_sort_out ();

#endif /* K&R C */

#ifdef __cplusplus
}
#endif

#endif /* !_SORT_H_RPCGEN */
